#
# spec file for package perl-Search-Xapian
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define xapian_version 1.2.21
Name:           perl-Search-Xapian
Version:        %{xapian_version}.0
Release:        1.4
Summary:        Perl bindings for Xapian
License:        GPL-2.0+
Group:          Productivity/Databases/Servers
Url:            http://www.xapian.org/
Source:         http://search.cpan.org/CPAN/authors/id/O/OL/OLLY/Search-Xapian-%{version}.tar.gz
Patch0:         perl-Search-Xapian-1.0.4_thread_testsuite.patch
BuildRequires:  libxapian-devel = %{xapian_version}
%if 0%{?suse_version} >= 1310
BuildRequires:  perl-macros
%endif
# Needs for tests only for openSUSE not SLE
%if 0%{?is_opensuse}
BuildRequires:  perl-Devel-Leak
BuildRequires:  perl-Test-Pod
BuildRequires:  perl-Test-Pod-Coverage
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif
%if 0%{?suse_version} >= 1310
# sle11 doesn't know
%{perl_requires}
%endif

%description
This is Search::Xapian, a Perl XS frontend to the Xapian C++ search
library.

%prep
%setup -q -n Search-Xapian-%{version}
%patch0

%build
perl Makefile.PL --verbose
make %{?_smp_mflags} VERBOSE=1

%install
%perl_make_install
%perl_process_packlist

%if 0%{?is_opensuse}
%check
make %{?_smp_mflags} test
%endif

%files
%defattr(-,root,root)
%{perl_vendorarch}/Search/Xapian.pm
%dir %{perl_vendorarch}/Search
%{perl_vendorarch}/Search/Xapian/
%dir %{perl_vendorarch}/auto/Search
%{perl_vendorarch}/auto/Search/Xapian/
%{_mandir}/man3/Search::Xapian.3pm*
%{_mandir}/man3/Search::Xapian::*.3pm*
%if %{?suse_version} <= 1130
%{_localstatedir}/adm/perl-modules/perl-Search-Xapian
%endif

%changelog
* Sat Nov 28 2015 bruno@ioda-net.ch
- Update to 1.2.21.0  Wed May 20 14:34:41 UTC 2015
  [Changes contributed by Olly Betts]
  - Support passing collapse_max argument to
    Enquire::set_collapse_key().
    Fixes #669, reported by Felix Ostmann.
  - Add missing 'my' to testcases.
  - Add 'use strict' to all testcases.
  - Add a "LICENSE" section to the main POD.
  - META.yml: Specify licence and minimum Perl version.
  - Fix t/symboltest.t to work when built against an installed
    version of xapian-core (broken by changes in 1.2.20.0).
  - Fix "Filehandle STDOUT reopened as M only for input" warning
    from running "perl Makefile.PL".
- Update to 1.2.20.0  Wed Mar  4 00:30:08 UTC 2015
  [Changes contributed by Olly Betts]
  - Remove TODO for wrapping MatchAll and MatchNothing,
    these were added in 1.2.13.0.  Reported by Will Crawford.
  - Wrap Xapian::BAD_VALUENO.
  - Fix "make test" to use the Xapian.so we just built,
    rather than an installed version.
- Packaging :
  * spec-clean : header, licence, formating
  * Add %%check for everything except SLE
* Tue Oct 21 2014 tittiatcoke@gmail.com
- Update to 1.2.19.0
* Wed Jan 29 2014 hrvoje.senjan@gmail.com
- Update to 1.2.17.0
* Fri Oct  5 2012 mvancura@suse.de
- updated to 1.2.8.0
* Tue Sep 13 2011 prusnak@opensuse.org
- updated to 1.2.7.0
* Thu Jan 20 2011 prusnak@opensuse.org
- updated to 1.2.4.0
* Tue Nov 20 2007 mrueckert@suse.de
- added perl-Search-Xapian-1.0.4_thread_testsuite.patch:
  make thread.t pass
* Mon Nov 19 2007 mrueckert@suse.de
- update to version 1.0.4.0
* Sun Jun 24 2007 mrueckert@suse.de
- update to version 1.0.1.0
* Sun Apr  1 2007 mrueckert@suse.de
- initial package of 0.9.10.0
